from flask_wtf import FlaskForm
from wtforms import StringField, SelectField, SubmitField


class MovePost(FlaskForm):
    # List of threads is generated at runtime
    thread = SelectField('Fil de discussion', coerce=int, validators=[])
    submit = SubmitField('Déplacer')

class SearchThread(FlaskForm):
    name = StringField("Nom d'un topic, programme, …")
    search = SubmitField('Rechercher')
